<section class="history-container">
    <h1 class="history-history-container" mat-dialog-title>Transaction History</h1>
    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="transactionDataSource">
        <!-- Position Column -->
        <ng-container matColumnDef="No">
          <th mat-header-cell *matHeaderCellDef> No </th>
          <td mat-cell *matCellDef="let element; let i = index;"> {{i + 1}}
          </td>
        </ng-container>
  
        <!-- Position Column -->
        <ng-container matColumnDef="updateDate">
          <th mat-header-cell *matHeaderCellDef> Update Date </th>
          <td mat-cell *matCellDef="let element" >{{element.updateDate}} </td>
        </ng-container>
    
        <!-- Position Column -->
        <ng-container matColumnDef="updateType">
          <th mat-header-cell *matHeaderCellDef> Update Type </th>
          <td mat-cell *matCellDef="let element">{{element.updateType}} </td>
        </ng-container>
    
        <!-- Name Column -->
        <ng-container matColumnDef="reservedQty">
          <th mat-header-cell *matHeaderCellDef> Adjusted Qty </th>
          <td mat-cell *matCellDef="let element"> {{element.reservedQty}} </td>
        </ng-container>
        <!-- createdDate Column -->
        <ng-container matColumnDef="actualQty">
          <th mat-header-cell *matHeaderCellDef> Actual Qty </th>
          <td mat-cell *matCellDef="let element"> {{element.actualQty}} </td>
        </ng-container>
        <!-- status Column -->
        <ng-container matColumnDef="comment">
          <th mat-header-cell *matHeaderCellDef> Comment </th>
          <td mat-cell *matCellDef="let element"> {{element.comment}} </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="transactionDisplayColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: transactionDisplayColumns;"></tr>
      </table>
    </div>
    <div class="button-container">
        <button class="cancel-btn" mat-button (click)="onNoClick()">Cancel</button>
        <button class="print-btn" mat-button (click)="print()" cdkFocusInitial>Print</button>
      </div>
  </section>
  <style>
      th, td {
          padding: 18px;
      }
      .history-history-container {
        display: flex;
    justify-content: center;
      }
      button {
    background-color: #a7f108 !important;
    border-color: #a7f108 !important;
    color: #ffffff !important;
    font-size: 20px;
    font-weight: 400;
    height: 48px;
    max-height: 48px;
    margin: 20px auto;
    display: flex;
    width: 200px;
    justify-content: center;
  }

  .button-container {
      display: flex;
      justify-content: space-between;
      width: 100%;
  }
  .cancel-btn {
    background-color: $SANED_BTN_SECONDARY !important;
  }
  </style>